//program by mel jit kompilovat bez problemu v ruznych kompilatorech
//pomoci WATCOM C se zkompiluje napr:  (cesty k samozrejme upravte)
//  wcc386 -D_WIN32 -ie:\WATCOM\h\nt;e:\WATCOM\h -bt=NT win_prog.c
//  wlink system nt_win name winprog.exe file winprog.obj

#include <|15Windows|07.h>

#define NAME "Program pro Windows"
#define TITLE "Okno"

long CALLBACK WindowProc (HWND hwnd, UINT message,
                            WPARAM wParam, LPARAM lParam)
{
  HDC         hdc;
  PAINTSTRUCT ps;
  RECT        rect;

  switch (message)
  {
    case WM_PAINT:
      hdc = BeginPaint (hwnd, &ps);
      GetClientRect (hwnd, &rect);
      DrawText (hdc, "Vyhen #8", -1, &rect, DT_SINGLELINE | DT_CENTER
                | DT_VCENTER);
      EndPaint (hwnd, &ps);
      return 0;

    case WM_CLOSE:
      if (MessageBox(NULL,"Zavrit okno?",TITLE,MB_YESNO)==IDYES)
       DestroyWindow (hwnd);
      return 0;

    case WM_DESTROY:
      PostQuitMessage (0);
      return 0;
  }

  return DefWindowProc (hwnd, message, wParam, lParam);
}


// WinMain - inicializace, smycka udalosti
int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance,
                        LPSTR lpCmdLine, int nCmdShow)
{
  MSG         msg;
  HWND        hwnd;
  WNDCLASS    wc;

  lpCmdLine = lpCmdLine;
  hPrevInstance = hPrevInstance;


  // nastavi a registruje tridu okna
  wc.style = CS_HREDRAW | CS_VREDRAW;
  wc.lpfnWndProc = WindowProc;
  wc.cbClsExtra = 0;
  wc.cbWndExtra = 0;
  wc.hInstance = hInstance;
  wc.hIcon = LoadIcon (NULL, IDI_APPLICATION);
  wc.hCursor = LoadCursor (NULL, IDC_ARROW);
  wc.hbrBackground = GetStockObject (WHITE_BRUSH);
  wc.lpszMenuName = NULL;
  wc.lpszClassName = NAME;
  RegisterClass (&wc);

  // vytvoreni okna
  hwnd = CreateWindow(
    NAME,
    TITLE,
    WS_OVERLAPPEDWINDOW,
    CW_USEDEFAULT,
    CW_USEDEFAULT,
    CW_USEDEFAULT,
    CW_USEDEFAULT,
    NULL,
    NULL,
    hInstance,
    NULL);

  if (!hwnd) return FALSE;

  ShowWindow (hwnd, nCmdShow);
  UpdateWindow (hwnd);

  while (GetMessage(&msg, NULL, 0, 0))
  {
    TranslateMessage(&msg);
    DispatchMessage(&msg);
  }

  return msg.wParam;
}


